import { User } from "oidc-client-ts";
/**
 * @public
 */
export declare const useAuth: () => {
    readonly user: import("vue").ComputedRef<User | null | undefined>;
    readonly isLoading: import("vue").ComputedRef<boolean>;
    readonly isAuthenticated: import("vue").ComputedRef<boolean>;
    readonly activeNavigator: import("vue").ComputedRef<"signinRedirect" | "signinPopup" | "signinSilent" | "signoutRedirect" | "signoutPopup" | undefined>;
    readonly error: import("vue").ComputedRef<Error | undefined>;
    readonly settings: import("oidc-client-ts").UserManagerSettings;
    readonly events: import("oidc-client-ts").UserManagerEvents;
    readonly clearStaleState: () => Promise<void>;
    readonly removeUser: () => Promise<void>;
    readonly signinPopup: (args?: import("oidc-client-ts").SigninPopupArgs | undefined) => Promise<User>;
    readonly signinSilent: (args?: import("oidc-client-ts").SigninSilentArgs | undefined) => Promise<User | null>;
    readonly signinRedirect: (args?: import("oidc-client-ts").SigninRedirectArgs | undefined) => Promise<void>;
    readonly signoutRedirect: (args?: import("oidc-client-ts").SignoutRedirectArgs | undefined) => Promise<void>;
    readonly signoutPopup: (args?: import("oidc-client-ts").SignoutPopupArgs | undefined) => Promise<void>;
    readonly querySessionStatus: (args?: import("oidc-client-ts").QuerySessionStatusArgs | undefined) => Promise<import("oidc-client-ts").SessionStatus | null>;
    readonly revokeTokens: (types?: ("access_token" | "refresh_token")[] | undefined) => Promise<void>;
    readonly startSilentRenew: () => void;
    readonly stopSilentRenew: () => void;
};
/**
 * As not a child of AuthProvider. using "user" in the localStorage/sessionStorage
 * @public
 * @return return a useUser
 */
export declare const userGetterGen: (authority: string, clientId: string, storage?: Storage) => () => User | null;
